Bug 1151273

Summary: davfs2 conflicts with filesystem-2.4.30-3.el6.x86_64
Product: [Fedora] Fedora EPEL Reporter: Kevin Zhang <whitehat2k9>
Component: davfs2Assignee: Moez Roy <moez.roy>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: el6CC: andreas.kobara, moez.roy
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: davfs2-1.4.7-8.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-31 01:21:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kevin Zhang 2014-10-10 02:37:44 UTC
Description of problem:
yum update on a system with davfs2 installed from EPEL fails because of the following error:

davfs2-1.4.7-5.el6.x86_64 conflicts filesystem < 3
davfs2 conflicts with filesystem-2.4.30-3.el6.x86_64

Version-Release number of selected component (if applicable):

davfs2-1.4.7-5.el6.x86_64
filesystem-2.4.30-3.el6.x86_64

How reproducible:

yum update on a system with EPEL repo enabled and davfs2.x86_64 0:1.4.6-1.el6.rf installed.

Comment 1 Moez Roy 2014-10-11 11:12:16 UTC
First step would be trying to find out where the conflicts occurs.

I will extract both the RPMs and report back.

Comment 2 Fedora Update System 2014-10-11 11:53:24 UTC
davfs2-1.4.7-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/davfs2-1.4.7-6.el6

Comment 3 Fedora Update System 2014-10-11 18:02:46 UTC
davfs2-1.4.7-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Kevin Zhang 2014-10-13 19:15:49 UTC
The new davfs2-1.4.7-6.el6 package now installs properly but places the mount.davfs binary in /usr/sbin instead of /sbin. This leads to the following error:

mount: unknown filesystem type 'davfs'

Copying/symlinking/moving mount.davfs to /sbin fixes the problem, obviously.

Comment 5 Moez Roy 2014-10-14 01:58:12 UTC
(In reply to Kevin Zhang from comment #4)
> The new davfs2-1.4.7-6.el6 package now installs properly but places the
> mount.davfs binary in /usr/sbin instead of /sbin. This leads to the
> following error:
> 
> mount: unknown filesystem type 'davfs'
> 
> Copying/symlinking/moving mount.davfs to /sbin fixes the problem, obviously.

Can you try this build and see if it works: http://koji.fedoraproject.org/koji/taskinfo?taskID=7857103

Thanks.

Comment 6 Kevin Zhang 2014-10-14 21:40:49 UTC
Works fine; symlink in place as expected.

Thank you.

Comment 7 Fedora Update System 2014-10-14 23:00:38 UTC
davfs2-1.4.7-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/davfs2-1.4.7-8.el6

Comment 8 Fedora Update System 2014-10-31 01:21:46 UTC
davfs2-1.4.7-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.